@echo off
rem Batch file Version: R6.0

rem Harima-Std Express5800/B120a
rem Harima-Std Express5800/B120b-Lw
set THISHWID=04BA

set BIOSREV=2030

if exist check.exe goto IDCHECK
@echo Invalid update program
goto END

:IDCHECK

check /r=%THISHWID% /i=MID.DAT /s=IAM /g=%BIOSREV% /n=4 FLASHAB2.ROM > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto HWIDERR
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:UNKNOWN
:ERROR
@echo BIOS data Unmatched!!
goto END

:HWIDERR
@echo System Type Unmatched !!
goto END

:MIDERR
@echo Invalid BIOS data
goto END

:SAME
@echo BIOS update has already done.
@echo Please take out BIOS update media and reboot.
goto END

:DOWN
@echo This BIOS is NEW. Don't need BIOS update.
goto END

:FLASH
cmoschg > nul
if errorlevel 255 goto UNKNOWN
if errorlevel 4 goto CHGERR
if errorlevel 3 goto CHGERR
if errorlevel 2 goto CHGERR
if errorlevel 1 goto CHGERR
@echo Now reading BIOS update tool ...

phlash16 /bbl /mode=3 /mfg flashab2.rom
goto END

:BBFLASH
cmoschg > nul
if errorlevel 255 goto UNKNOWN
if errorlevel 4 goto CHGERR
if errorlevel 3 goto CHGERR
if errorlevel 2 goto CHGERR
if errorlevel 1 goto CHGERR
@echo Now reading BIOS update tool(overwrite BootBlock) ...

phlash16 /bbl /mode=3 /mfg flashab2.rom
goto END

:CHGERR
@echo cmoschg Error!
goto END

:KBDERR
@echo keychk Error!
goto END

:END